<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_stack', language 'fi', version '3.11'.
 *
 * @package     qtype_stack
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['ATAlgEquiv_SA_not_equation'] = 'Vastauksesi pitäisi olla yhtälö, mutta se ei ole.';
$string['ATAlgEquiv_SA_not_expression'] = 'Vastauksesi pitäisi olla lauseke; ei yhtälö, epäyhtälö, lista, joukko tai matriisi.';
$string['ATAlgEquiv_SA_not_function'] = 'Vastauksesi pitäisi olla funktio, joka on määritelty operaattorilla <tt>:=</tt>, mutta se ei ole.';
$string['ATAlgEquiv_SA_not_inequality'] = 'Vastauksesi pitäisi olla epäyhtälö, mutta se ei ole.';
$string['ATAlgEquiv_SA_not_list'] = 'Vastauksesi pitäisi olla lista, mutta se ei ole. Listan alkiot syötetään hakasulkeisiin pilkuin eroteltuna, esim. [1, 2, 3].';
$string['ATAlgEquiv_SA_not_logic'] = 'Vastauksesi pitäisi olla yhtälö, epäyhtälö tai näiden yhdistelmä, mutta se ei ole.';
$string['ATAlgEquiv_SA_not_matrix'] = 'Vastauksesi pitäisi olla matriisi, mutta se ei ole.';
$string['ATAlgEquiv_SA_not_set'] = 'Vastauksesi pitäisi olla joukko, mutta se ei ole. Joukon alkiot syötetään aaltosulkeisiin pilkuin eroteltuna.';
$string['ATAlgEquiv_SA_not_string'] = 'Vastauksesi pitäisi olla merkkijono, mutta se ei ole.';
$string['ATAlgEquiv_TA_not_equation'] = 'Vastauksesi on yhtälö, mutta tässä tapauksessa sen ei tarvitse olla. Jos esimerkiksi syötit "y = 2*x+1", vastaukseksi riittää "2*x+1".';
$string['ATCompSquare_SA_not_depend_var'] = 'Vastauksesi pitäisi riippua muuttujasta {$a->m0}, mutta näin ei ole.';
$string['ATCompSquare_false'] = '';
$string['ATCompSquare_false_no_summands'] = 'Täydennetty neliö on muotoa ( a(...)^2 + b), missä a ja b eivät riipu muuttujasta. Enemmän kuin yksi termi näyttäisi riippuvan muuttujasta.';
$string['ATCompSquare_not_AlgEquiv'] = 'Vastauksesi näyttää olevan hyväkstyttävässä muodossa, mutta se ei ole yhtäpitävä oikean vastauksen kanssa.';
$string['ATCompSquare_true'] = '';
$string['ATDiff_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATDiff_int'] = 'Näyttää siltä, että olet integroinut derivoinnin sijasta.';
$string['ATEquivFirst_SA_not_list'] = 'Ensimmäisen argumentin Equiv-vastaustestissä pitäisi olla lista, mutta testi epäonnistui. Ota yhteyttä opettajaan.';
$string['ATEquivFirst_SA_wrong_end'] = 'Lopullinen vastauksesi ei ole oikeassa muodossa.';
$string['ATEquivFirst_SA_wrong_start'] = 'Ensimmäisen rivin pitäisi olla muodossa "{$a->m0}".';
$string['ATEquivFirst_SB_not_list'] = 'Toisen argumentin Equiv-vastaustestissä pitäisi olla lista, mutta testi epäonnistui. Ota yhteyttä opettajaan.';
$string['ATEquiv_SA_not_list'] = 'Ensimmäisen argumentin Equiv-vastaustestissä pitäisi olla lista, mutta testi epäonnistui. Ota yhteyttä opettajaan.';
$string['ATEquiv_SB_not_list'] = 'Toisen argumentin Equiv-vastaustestissä pitäisi olla lista, mutta testi epäonnistui. Ota yhteyttä opettajaan.';
$string['ATFacForm_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATFacForm_isfactored'] = 'Vastauksesi on jaettu tekijöihin.';
$string['ATFacForm_notalgequiv'] = 'Vastauksesi ei ole algebrallisesti yhtä kuin oikea vastaus. Olet tehnyt virheen laskussasi.';
$string['ATFacForm_notfactored'] = 'Vastaustasi ei ole jaettu tekijöihin.';
$string['ATInequality_backwards'] = 'Syöttämäsi epäyhtälön suunta pitäisi olla toisin päin.';
$string['ATInequality_nonstrict'] = 'Syöttämäsi epäyhtälön pitäisi olla aito, mutta se ei ole.';
$string['ATInequality_strict'] = 'Syöttämäsi epäyhtälön ei pitäisi olla aito.';
$string['ATInt_EqFormalDiff'] = 'Vastauksesi derivaatta ei ole yhtä kuin lauseke, joka pyydettiin integroimaan.';
$string['ATInt_const'] = 'Integrointivakio puuttuu; muuten vastauksesi on oikein.';
$string['ATInt_const_int'] = 'Integrointivakio puuttuu. Se voi olla mielivaltainen vakio, mutta ei luku.';
$string['ATInt_diff'] = 'Näyttää siltä, että olet derivoinut integroinnin sijasta.';
$string['ATInt_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATInt_generic'] = 'Vastauksesi derivaatta ei ole yhtä kuin lauseke, joka pyydettiin integroimaan, eli: {$a->m0}.  Vastauksesi derivaatta muuttujan {$a->m1} suhteen on: {$a->m2}.';
$string['ATInt_logabs'] = 'Vastauksesi derivaatta on sama kuin lauseke, joka piti integroida. Vastauksesi eroaa kuitenkin oikeasta merkittävästi. Opettajasi voi mahdollisesti selvittää asian.';
$string['ATInt_weirdconst'] = 'Vastauksesi derivaatta on sama kuin lauseke, joka piti integroida. Integroimisvakiossa on kuitenkin jotain hämärää. Kysy opettajaltasi lisää.';
$string['ATList_wrongentries'] = 'Alla olevat punaisella merkityt alkiot ovat väärin. {$a->m0}';
$string['ATList_wronglen'] = 'Syöttämässäsi listassa pitäisi olla {$a->m0} alkiota, mutta siinä on {$a->m1} alkiota.';
$string['ATLowestTerms_entries'] = 'Seuraavat termit vastauksessasi eivät ole sievennettyjä. {$a->m0} Yritä uudelleen.';
$string['ATLowestTerms_wrong'] = 'Supista vielä syöttämäsi murtoluku.';
$string['ATMatrix_wrongentries'] = 'Alla olevat punaisella merkityt alkiot ovat väärin. {$a->m0}';
$string['ATMatrix_wrongsz'] = 'Syöttämäsi matriisin pitäisi olla {$a->m0} x {$a->m1} mutta se on {$a->m2} x {$a->m3}.';
$string['ATNumDecPlaces_Float'] = 'Vastauksesi pitäisi olla desimaaliluku, mutta se ei ole.';
$string['ATNumDecPlaces_NoDP'] = 'Vastauksesi täytyy olla desimaaliluku, jossa on desimaalierotin (piste) mukana.';
$string['ATNumDecPlaces_Wrong_DPs'] = 'Vastauksessasi on väärä määrä desimaaleja.';
$string['ATNumSigFigs_Inaccurate'] = 'Vastauksesi ei ole oikein. Joko olet pyöristänyt tuloksen väärin tai olet käyttänyt pyöristettyjä välituloksia, mikä johtaa väärään lopputulokseen.';
$string['ATNumSigFigs_NotDecimal'] = 'Vastauksesi pitäisi olla desimaaliluku, mutta se ei ole.';
$string['ATNumSigFigs_WrongDigits'] = 'Vastauksessasi on väärä määrä merkitseviä numeroita.';
$string['ATNumSigFigs_WrongSign'] = 'Antamasi vastauksen etumerkki on väärin.';
$string['ATNumSigFigs_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATNumerical_FAILED'] = 'Vastauksesi pitäisi olla desimaaliluku, lukujen lista tai lukujen joukko. Näin ei kuitenkaan ole.';
$string['ATNumerical_SA_not_list'] = 'Vastauksesi pitäisi olla lista, mutta se ei ole. Lista syötetään kirjoittamalla hakasulkeiden sisään sen alkiot pilkuilla erotettuina.';
$string['ATNumerical_SA_not_number'] = 'Vastauksesi pitäisi olla desimaaliluku, mutta se ei ole.';
$string['ATNumerical_SA_not_set'] = 'Vastauksesi pitäisi olla joukko, mutta se ei ole.  Joukko syötetään kirjoittamalla aaltosulkeiden sisään sen alkiot pilkuilla erotettuina.';
$string['ATPartFrac_denom_ret'] = 'Jos vastauksesi esitetään yksittäisenä murtolausekkeena, sen nimittäjä olisi {$a->m0}. Mutta sen pitäisi olla {$a->m1}.';
$string['ATPartFrac_diff_variables'] = 'Vastauksessasi esiintyvät muuttujat ovat eri kuin kysymyksessä. Tarkista ja muuta.';
$string['ATPartFrac_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATPartFrac_ret_expression'] = 'Vastauksesi esitettynä yksittäisenä murtolausekkeena on {$a->m0}.';
$string['ATPartFrac_single_fraction'] = 'Vastauksesi näyttäisi olevan yksi murtolauseke. Se pitäisi saattaa osamurtokehitelmäksi.';
$string['ATPartFrac_true'] = '';
$string['ATSet_wrongentries'] = 'Alla olevat punaisella merkityt alkiot ovat väärin (ne saattavat olla eri muodossa kuin syöttämäsi). {$a->m0}';
$string['ATSet_wrongsz'] = 'Syöttämässäsi joukossa pitäisi olla {$a->m0} eri alkiota mutta siinä on {$a->m1} alkiota.';
$string['ATSets_SA_not_set'] = 'Vastauksesi pitäisi olla joukko, mutta se ei ole. Joukko syötetään kirjoittamalla aaltosulkeiden sisään sen alkiot pilkuilla erotettuina.';
$string['ATSets_duplicates'] = 'Antamasi joukko sisältää kaksi samaa alkiota.';
$string['ATSets_missingentries'] = 'Seuraavat alkiot puuttuvat joukostasi: {$a->m0}';
$string['ATSets_wrongentries'] = 'Näiden alkioiden ei pitäisi kuulua antamaasi joukkoon:  {$a->m0}';
$string['ATSingleFrac_div'] = 'Vastauksessasi esiintyy murtolausekkeita murtolausekkeiden sisällä. Muuta vastauksesi siten, että se on yksi murtolauseke.';
$string['ATSingleFrac_error_list'] = 'Vastauksen tarkastuksessa tapahtui virhe. Ota yhteyttä järjestelmän ylläpitäjiin';
$string['ATSingleFrac_part'] = 'Vastauksesi pitäisi olla yksi murtolauseke .';
$string['ATSingleFrac_ret_exp'] = 'Vastauksesi ei ole algebrallisesti yhtä kuin oikea vastaus. Olet tehnyt virheen laskussasi.';
$string['ATSingleFrac_true'] = '';
$string['ATSingleFrac_var'] = 'Vastauksessasi esiintyvät muuttujat ovat eri kuin kysymyksessä. Tarkista ja muuta.';
$string['ATString_SA_not_string'] = 'Vastauksesi pitäisi olla merkkijono, mutta se ei ole.';
$string['ATString_SB_not_string'] = 'Opettajan vastauksen pitäisi olla merkkijono, mutta se ei ole.';
$string['ATSysEquiv_SA_extra_variables'] = 'Vastauksessasi on liikaa muuttujia.';
$string['ATSysEquiv_SA_missing_variables'] = 'Vastauksestasi puuttuu yksi tai useampia muuttujia.';
$string['ATSysEquiv_SA_not_eq_list'] = 'Vastauksesi pitäisi olla yhtälö, mutta se ei ole.';
$string['ATSysEquiv_SA_not_list'] = 'Vastauksesi pitäisi olla lista, mutta se ei ole.';
$string['ATSysEquiv_SA_not_poly_eq_list'] = 'Yksi tai useampi yhtälöistäsi ei ole polynomi.';
$string['ATSysEquiv_SA_system_overdetermined'] = 'Seuraavassa punaisella merkityt yhtälöt eivät ole oikein. {$a->m0}';
$string['ATSysEquiv_SA_system_underdetermined'] = 'Vastauksessasi olevat yhtälöt näyttävät oikeilta, mutta niitä tarvitaan lisää.';
$string['ATSysEquiv_SA_wrong_variables'] = 'Vastauksessasi on väärä muuttuja!';
$string['ATSysEquiv_SB_not_eq_list'] = 'Opettajan antaman vastauksen pitäisi olla lista yhtälöitä, mutta se ei ole. Ilmoita opettajalle tai järjestelmän valvojille.';
$string['ATSysEquiv_SB_not_list'] = 'Opettajan antaman vastauksen pitäisi olla lista, mutta se ei ole. Ilmoita opettajalle tai järjestelmän valvojille.';
$string['ATSysEquiv_SB_not_poly_eq_list'] = 'Opettajan antaman vastauksen pitäisi olla lista polynomiyhtälöitä, mutta se ei ole. Ilmoita opettajalle tai järjestelmän valvojille.';
$string['ATUnits_SA_bad_units'] = 'Vastauksessasi täytyy olla yksiköitä. Käytä kertolaskua yksiköiden ja arvon yhteenliittämisessä, esim. <code>3.2*m/s</code>.';
$string['ATUnits_SA_excess_units'] = 'Vastauksessasi on yksiköitä, vaikka niitä ei kuuluisi olla mukana.';
$string['ATUnits_SA_no_units'] = 'Vastauksessasi täytyy olla yksiköt mukana.';
$string['ATUnits_SA_not_expression'] = 'Vastauksesi tulee olla luku yksiköillä varustettuna. Älä käytä joukkoja, listoja jne...';
$string['ATUnits_SA_only_units'] = 'Vastauksesi tulee olla luku yksiköillä varustettuna. Vastauksesi sisältää vain yksiköitä.';
$string['ATUnits_compatible_units'] = 'Käyttämäsi yksiköt eroavat opettajan käyttämistä, mutta ovat niiden kanssa yhteensopivia. Lukuarvot on muutettu SI-yksiköihin vertailun vuoksi.';
$string['ATUnits_correct_numerical'] = 'Tarkasta yksiköt huolellisesti.';
$string['ATUnits_incompatible_units'] = 'Käyttämäsi yksiköt eivät sovi yhteen opettajan käyttämien yksiköiden kanssa.';
$string['AT_EmptySA'] = 'Vastaustesti yritettiin suorittaa tyhjällä opiskelijan vastauksella. Mahdollisesti CAS-tulkintaongelma kysymyksen laadinnassa.';
$string['AT_EmptyTA'] = 'Vastaustesti yritettiin suorittaa tyhjällä opettajan vastauksella. Mahdollisesti CAS-tulkintaongelma kysymyksen laadinnassa.';
$string['AT_InvalidOptions'] = 'Lisävalinnat kenttä ei kelpaa. {$a->errors}';
$string['AT_MissingOptions'] = 'CAS lisävalinnat-kentän muuttuja puuttuu.';
$string['AT_NOTIMPLEMENTED'] = 'Tätä vastaustestiä ei ole käytössä.';
$string['Equiv_Illegal_list'] = 'Listat eivät ole sallittuja ekvivalenssiperustelussa.';
$string['Equiv_Illegal_matrix'] = 'Matriisit eivät ole sallittuja ekvivalenssiperustelussa.';
$string['Equiv_Illegal_set'] = 'Joukot eivät ole sallittuja ekvivalenssiperustelussa.';
$string['FacForm_UnPick_intfac'] = 'Lausekkeesta pitäisi ottaa yhteinen tekijä kertoimeksi.';
$string['FacForm_UnPick_morework'] = 'Termiä {$a->m0} pitää vielä muokata.';
$string['Illegal_floats'] = 'Vastauksessasi on desimaalilukuja, joita ei sallita tässä tehtävässä.  Muunna desimaaliluvut murtoluvuiksi.';
$string['Lowest_Terms'] = 'Vastauksessasi olevat murtoluvut eivät ole supistetussa muodossa. Supista ne ja yritä uudestaan.';
$string['Maxima_DivisionZero'] = 'Jako nollalla.';
$string['Subst'] = 'Vastauksesi olisi oikein jos korvaisit muuttujan seuraavasti: {$a->m0}';
$string['TEST_FAILED'] = 'Tarkistustesti ei toiminut.  Ilmoita opettajalle tai järjestelmän ylläpitäjälle. {$a->errors}';
$string['addanothernode'] = 'Lisää solmu';
$string['addanothertestcase'] = 'Lisää uusi testitapaus...';
$string['addatestcase'] = 'Lisää testitapaus...';
$string['addingatestcase'] = 'Lisätään testitapaus kysymykseen {$a}';
$string['alg_partial_fractions_name'] = 'Osamurtokehitelmä';
$string['all'] = 'Kaikki';
$string['allnodefeedbackmustusethesameformat'] = 'Kaikkien palautteiden tulee noudattaa samaa tekstimuotoa kaikissa solmuissa.';
$string['allowwords'] = 'Sallitut sanat';
$string['allowwords_help'] = 'Kaksikirjaimiset tai pidemmät muuttujien tai määrittelemättömien funktioiden nimet ovat kiellettyjä oletuksena. Tähän voidaan syöttää pilkuilla erotettu lista niistä nimistä, jotka sallitaan opiskelijan syötteessä.';
$string['allowwords_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Inputs.md#Allow_Words';
$string['alreadydeployed'] = 'Tämän version erotteluteksti löytyy jo luodusta versiosta.';
$string['answernote'] = 'Vastauksen tunnus';
$string['answernote_err'] = 'Vastauksen tunnus ei saa sisältää merkkiä |.  STACK lisää sen vastauksen tunnuksiin erottaakseen ne automaattisesti.';
$string['answernote_help'] = 'Tämä on tunnus jota käytetään raportointiin.  Se jäljittää vastauspuun polun sekä kunkin vastaustestin tuloksen.  Tämä on generoitu automaattisesti mutta se voidaan muuttaa tarvittaessa.';
$string['answernote_link'] = 'question/type/stack/doc/doc.php/Authoring/Potential_response_trees.md#Answer_note';
$string['answernoterequired'] = 'Vastauksen tunnus ei saa olla tyhjä.';
$string['answernoteunique'] = 'Samoja vastaustunnuksia on havaittu tässä vastauspuussa.';
$string['answertest'] = 'Vastaustesti';
$string['answertest_help'] = 'Vastaustestiä käytetään kahden lausekkeen vertailuun jonkin matemaattisen kriteerin perusteella.';
$string['answertest_link'] = 'question/type/stack/doc/doc.php/Authoring/Answer_tests.md';
$string['assumepositive'] = 'Oletetaan positiiviseksi';
$string['assumepositive_help'] = 'Asettaa Maxima-muuttujan assume_pos arvon.';
$string['assumepositive_link'] = 'question/type/stack/doc/doc.php/Authoring/Options.md#Assume_Positive';
$string['assumereal'] = 'Oletetaan reaaliseksi';
$string['assumereal_help'] = 'Asettaa Maxima-muuttujan assume_real arvon.';
$string['assumereal_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Options.md#Assume_Real';
$string['autosimplify'] = 'Automaattinen sievennys';
$string['autosimplify_help'] = 'Asettaa muuttujan "simp" Maximassa tälle vastauspuulle.';
$string['autosimplify_link'] = 'question/type/stack/doc/doc.php/CAS/Maxima.md#Simplification';
$string['autosimplifyprt'] = 'Automaattinen sievennys';
$string['autosimplifyprt_help'] = 'Asettaa muuttujan "simp" Maximassa tässä vastauspuussa määritellyille muuttujille. Huomaa, että vastauspuun kenttiin syötetyt lausekkeet sievennetään sen mukaan, miten vastaustesti toimii. Esimerkiksi testin AlgEquiv tapauksessa kentät sievennetään, mutta testin EqualComAss tapauksessa ei.';
$string['autosimplifyprt_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/CAS/Maxima.md#Simplification';
$string['basicquestionreport'] = '<i class="fa fa-bar-chart"></i> Vastauspuiden analyysi';
$string['booleangotunrecognisedvalue'] = 'Kelvoton syöte.';
$string['boxsize'] = 'Vastauskentän pituus';
$string['boxsize_help'] = 'Opiskelijalle tarjotun vastauskentän pituus.';
$string['boxsize_link'] = 'question/type/stack/doc/doc.php/Authoring/Inputs.md#Box_Size';
$string['branchfeedback'] = 'Solmun haaran palaute';
$string['branchfeedback_help'] = 'Tämä palaute voi sisältää viittauksia kysymyksen muuttujiin, vastaustunnuksiin tai palautteen muuttujiin. Palaute näytetään vain, jos opiskelijan vastaus menee läpi tästä haarasta.';
$string['calc_chain_rule_name'] = 'Ketjusääntö';
$string['calc_int_methods_parts_name'] = 'Osittaisintegrointi';
$string['casdisplay'] = 'CAS display';
$string['cassuitecolerrors'] = 'CAS errors';
$string['castext'] = 'CAS-teksti';
$string['casvalid'] = 'V2';
$string['casvalidatemismatch'] = '[CAS validate mismatch]';
$string['casvalue'] = 'CAS value';
$string['chat'] = 'Lähetä teksti CAS-palvelimelle';
$string['chat_desc'] = 'The <a href="{$a->link}">CAS chat script</a> lets you test the connection to the CAS, and try out Maxima syntax.';
$string['chatintro'] = 'Tällä sivulla voit testata CAS-tekstin toimivuutta. Voit syöttää CAS-tekstikenttään tekstiä, joka sisältää viittauksia muuttujiin ja tarkistaa kuinka teksti tulostuu. Tämä on kätevä tapa testata, miten eri syötteet toimivat ja toimiiko CAS ylipäänsä.';
$string['chattitle'] = 'Test the connection to the CAS';
$string['checkanswertype'] = 'Tarkista vastauksen tyyppi';
$string['checkanswertype_help'] = 'Jos kyllä, vastaukset, jotka ovat eri tyyppiä (esim. lauseke, yhtälö, matriisi, lista, joukko) hylätään automaattisesti.';
$string['checkanswertype_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Check_Type';
$string['clearthecache'] = 'Clear the cache';
$string['completetestcase'] = 'Täytä lomake loppuun niin, että testitapaus hyväksytään.';
$string['complexno'] = 'Ilmaisun sqrt(-1) tulkinta ja esitys';
$string['complexno_help'] = 'Asettaa symbolien i and sqrt(-1) tulkinnan';
$string['complexno_link'] = 'question/type/stack/doc/doc.php/Authoring/Options.md#sqrt_minus_one.';
$string['createtestcase'] = 'Luo testitapaus';
$string['currentlyselectedvariant'] = 'Tämä versio on esitetty alla';
$string['ddl_duplicates'] = 'Syötteen määrittelyssä löytyi päällekkäisiä arvoja.';
$string['ddl_empty'] = 'Tälle pudotusvalikolle ei ole asetettu valintoja. Aseta valinnat.';
$string['ddl_nocorrectanswersupplied'] = 'Opettajan vastauksessa ei ole asetettu oikeaa vaihtoehtoa.';
$string['debuginfo'] = 'Virheenjäljitystietoja';
$string['defaultmarkzeroifnoprts'] = 'Oletuspisteet täytyy asettaa arvoon 0, jos kysymyksessä ei ole vastauspuita.';
$string['defaultprtcorrectfeedback'] = 'Vastaus on oikein.';
$string['defaultprtincorrectfeedback'] = 'Vastaus on väärin.';
$string['defaultprtpartiallycorrectfeedback'] = 'Vastaus on osittain oikein.';
$string['deletetestcase'] = 'Poista testitapaus {$a->no} tehtävästä {$a->question}';
$string['deletetestcaseareyousure'] = 'Oletko varma, että haluat poistaa testitapauksen {$a->no} tehtävästä {$a->question}?';
$string['deletethistestcase'] = 'Poista tämä testitapaus...';
$string['deploy'] = 'Luo versiot';
$string['deployedprogress'] = 'Luodaan versioita';
$string['deployedvariants'] = 'Luodut versiot';
$string['deployedvariantsn'] = 'Luodut versiot ({$a})';
$string['deployfromlist'] = '&nbsp;Varianttilista&nbsp;';
$string['deployfromlistbtn'] = 'Poista variantteja ja päivitä lista';
$string['deployfromlisterror'] = 'Varianttilistassa oli virhe, joten muutoksia ei tehty.';
$string['deployfromlistexisting'] = 'Nykyiset variantit:';
$string['deploymanybtn'] = 'Luo variantteja (kpl):';
$string['deploymanyerror'] = 'Virhe syötteessä: Ei voida luoda "{$a->err}" varianttia.';
$string['deploymanynonew'] = 'Liian monta samaa kysymyksen erottelutekstiä luotu.';
$string['deploymanynotes'] = 'Huomaa, että STACK lopettaa versioiden luomisen, jos se ei onnistu luomaan uudella erottelutekstillä varustettua versiota kymmenen yrityskerran aikana.';
$string['deploymanysuccess'] = 'Uusia versioita luotu ja testattu: {$a->no}.';
$string['deployremoveall'] = 'Poista kaikki versiot:';
$string['deploytestall'] = 'Testaa kaikki luodut versiot kaikilla testitapauksilla (hidas):';
$string['description'] = 'Kuvaus';
$string['description_err'] = 'Solmun kuvaus on liian pitkä (max 255 merkkiä).';
$string['dropdowngotunrecognisedvalue'] = 'Kelvoton syöte.';
$string['editingtestcase'] = 'Muokkaa testitapausta {$a->no} tehtävälle {$a->question}';
$string['editquestioninthequestionbank'] = '<i class="fa fa-pencil"></i> Muokkaa kysymystä';
$string['editthistestcase'] = 'Muokkaa tätä testitapausta...';
$string['equiv_ANDOR'] = 'ja/tai sekaannus!';
$string['equiv_LET'] = 'Olkoon';
$string['equiv_SAMEROOTS'] = '(Samat juuret)';
$string['equivfirstline'] = 'Käytit väärää ensimmäistä riviä!';
$string['errors'] = 'Virheitä';
$string['exceptionmessage'] = '{$a}';
$string['expectedanswernote'] = 'Odotettu vastauksen tunnus';
$string['expectedoutcomes'] = 'Odotetut tulokset';
$string['expectedpenalty'] = 'Odotettu rangaistus';
$string['expectedscore'] = 'Odotetut pisteet';
$string['exportthisquestion'] = 'Vie tämä kysymys';
$string['exportthisquestion_help'] = 'Tämä luo Moodle XML -tiedoston tästä yhdestä kysymyksestä.';
$string['false'] = 'Epätosi';
$string['feedbackstyle'] = 'Vastauspuun palautteen muotoilu';
$string['feedbackstyle0'] = 'Ei arviointia';
$string['feedbackstyle1'] = 'Tavallinen';
$string['feedbackstyle2'] = 'Tiivis';
$string['feedbackstyle3'] = 'Vain symboli';
$string['feedbackstyle_help'] = 'Määrää sen, missä muodossa vastauspuun palaute näytetään vastaajalle.';
$string['feedbackstyle_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Potential_response_trees.md';
$string['feedbackvariables'] = 'Palautteen muuttujat';
$string['feedbackvariables_help'] = 'Palautteen muuttujien avulla voidaan suorittaa laskuja syötettyjen arvojen sekä tehtävän muuttujien avulla.  Näitä muuttujia voidaan käyttää missä tahansa tämän vastauspuun käsittelyn vaiheissa.';
$string['feedbackvariables_link'] = 'question/type/stack/doc/doc.php/Authoring/KeyVals.md#Feedback_variables';
$string['firstnodemusthavelowestnumber'] = 'Ensimmäisen solmun numero täytyy olla pienin.';
$string['fixdollars'] = 'Korvaa dollarimerkit';
$string['fixdollars_help'] = 'Tämä toiminto on hyödyllinen, mikäli haluat kopioida ja liittää Tex koodia, jossa matemaattiset lausekkeet on erotettu dollarimerkein.';
$string['fixdollarslabel'] = 'Korvaa merkit <code>$...$</code> merkeillä <code>\\(...\\)</code> ja merkit <code>$$...$$</code> merkeillä <code>\\[...\\]</code> tallennuksen yhteydessä.';
$string['forbiddendoubledollars'] = 'Käytä merkkien <code>$...$</code> sijasta merkkejä <code>\\(...\\)</code> ja merkkien <code>$$...$$</code> sijasta merkkejä<code>\\[...\\]</code>. Lomakkeen lopussa on valinta näiden merkkien korvaamiseksi automaattisesti.';
$string['forbidfloat'] = 'Liukuluvut kielletään';
$string['forbidfloat_help'] = 'Jos kyllä, opiskelijan liukulukuina syöttämät vastaukset hylätään väärän tyyppisinä.';
$string['forbidfloat_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Forbid_Floats';
$string['forbidwords'] = 'Kielletyt merkkijonot';
$string['forbidwords_help'] = 'Tämä on pilkuin erotettu lista merkkijonoista, joita ei sallita opiskelijan vastauksessa.';
$string['forbidwords_link'] = 'question/type/stack/doc/doc.php/Authoring/CASText.md#Forbidden_Words';
$string['generalfeedback'] = 'Malliratkaisu';
$string['generalfeedback_help'] = 'Malliratkaisu näytetään opiskelijalle tehtävän yrityksen jälkeen. Malliratkaisussa voidaan käyttää tehtävän muuttujia. Malliratkaisu ei riipu opiskelijan antamista vastauksista.';
$string['generalfeedback_link'] = 'question/type/stack/doc/doc.php/Authoring/CASText.md#general_feedback';
$string['greek_alphabet_name'] = 'Kreikkalainen aakkonen';
$string['healthcheck'] = 'STACK healthcheck';
$string['healthcheck_desc'] = 'The <a href="{$a->link}">healthcheck script</a> helps you verify that all aspects of Stack are working properly.';
$string['healthcheckcache_db'] = 'CAS results are being cached in the database.';
$string['healthcheckcache_none'] = 'CAS results are not being cached.';
$string['healthcheckcachestatus'] = 'The cache currently contains {$a} entries.';
$string['healthcheckconfigintro1'] = 'Found, and using, Maxima in the following directory:';
$string['healthcheckconnect'] = 'Trying to connect to the CAS';
$string['healthcheckconnectintro'] = 'We are trying to evaluate the following CAS text:';
$string['healthchecklatex'] = 'Check LaTeX is being converted correctly';
$string['healthchecklatexintro'] = 'STACK generates LaTeX on the fly, and enables teachers to write LaTeX in questions. It assumes that LaTeX will be converted by a moodle filter.  Below are samples of displayed and inline expressions in LaTeX which should be appear correctly in your browser.  Problems here indicate incorrect moodle filter settings, not faults with STACK itself. Stack only uses the single and double dollar notation itself, but some question authors may be relying on the other forms.';
$string['healthchecklatexmathjax'] = 'One way to get equiation rendering to work is to copy the following code into the <b>Within HEAD</b> setting on <a href="{$a}">Additional HTML</a>.';
$string['healthcheckmaximabat'] = 'The maxima.bat file is missing';
$string['healthcheckmaximabatinfo'] = 'This script tried to automatically copy the maxima.bat script from inside "C:Program filesMaxima-1.xx.ybin" into "{$a}stack". However, this seems not to have worked. Please copy this file manually.';
$string['healthcheckplots'] = 'Graph plotting';
$string['healthcheckplotsintro'] = 'There should be two different plots.  If two identical plots are seen then this is an error in naming the plot files. If no errors are returned, but a plot is not displayed then one of the following may help.  (i) check read permissions on the two temporary directories. (ii) change the options used by GNUPlot to create the plot. Currently there is no web interface to these options.';
$string['inputdisplayed'] = 'Näytetään';
$string['inputentered'] = 'Syötetty arvo';
$string['inputexpression'] = 'Testin syöte';
$string['inputextraoptions'] = 'Lisämääritykset';
$string['inputextraoptions_help'] = 'Jotkin syötetyypit vaativat lisämäärityksiä tai parametreja toimiakseen. Voit syöttää ne tähän.';
$string['inputextraoptions_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Inputs.md#Extra options';
$string['inputheading'] = 'Vastaus: {$a}';
$string['inputname'] = 'Syötteen nimi';
$string['inputremovedconfirm'] = 'Haluan varmasti poistaa tämän syötteen kysymyksestä.';
$string['inputremovedconfirmbelow'] = 'Syöte \'{$a}\' on poistettu. Varmista poistaminen alla.';
$string['inputs'] = 'Syötteet';
$string['inputstatus'] = 'Status';
$string['inputstatusname'] = 'Tyhjä';
$string['inputstatusnameinvalid'] = 'Ei hyväksytty';
$string['inputstatusnamescore'] = 'Pisteet';
$string['inputstatusnamevalid'] = 'Hyväksytty';
$string['inputtest'] = 'Syötteen tarkistus';
$string['inputtype'] = 'Vastauksen tyyppi';
$string['inputtype_help'] = 'Asettaa vastauksen tyypin, esim. tekstikenttä, oikein/väärin, tekstialue.';
$string['inputtype_link'] = 'question/type/stack/doc/doc.php/Authoring/Inputs.md';
$string['inputtypealgebraic'] = 'Algebrallinen lauseke';
$string['inputtypeboolean'] = 'Oikein/väärin';
$string['inputtypecheckbox'] = 'Valintaruutu';
$string['inputtypedropdown'] = 'Pudotusvalikko';
$string['inputtypeequiv'] = 'Ekvivalenssiperustelu';
$string['inputtypematrix'] = 'Matriisi';
$string['inputtypenotes'] = 'Muistiinpanot';
$string['inputtypenumerical'] = 'Lukuarvo';
$string['inputtypesinglechar'] = 'Yksittäinen merkki';
$string['inputtypestring'] = 'Merkkijono';
$string['inputtypetextarea'] = 'Tekstialue';
$string['inputtypeunits'] = 'Yksiköt';
$string['inputtypevarmatrix'] = 'Matriisi, vapaa koko';
$string['inputwillberemoved'] = 'Tähän syötteeseen ei enää viitata kysymystekstissä. Jos tallennat kysymyksen nyt, menetät kaikki tähän syötteeseen liittyvät tiedot. Vahvista, että haluat toimia näin. Muussa tapauksessa lisää viittaus tähän syötteeseen kysymystekstiin asettamalla sinne \'[[input:{$a}]]\' ja \'[[validation:{$a}]]\' -tunnisteet.';
$string['insertspaces'] = 'Lisää tähdet ainoastaan välilyöntien kohdalle';
$string['insertstars'] = 'Lisätäänkö tähdet';
$string['insertstars_help'] = 'Jos kyllä, järjestelmä yrittää automaattisesti lisätä tähdet kirjainten ja numeroiden väliin.';
$string['insertstars_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Insert_Stars';
$string['insertstarsassumesinglechar'] = 'Lisää tähdet olettaen, että muuttujien nimet ovat yhden merkin mittaisia.';
$string['insertstarsno'] = 'Älä lisää tähtiä';
$string['insertstarsspaces'] = 'Lisää tähdet oletettuihin tuloihin ja tyhjiin väleihin.';
$string['insertstarsspacessinglechar'] = 'Lisää tähdet ilmeisiin tuloihin, olettaen yksimerkiset muuttujanimet ja tyhjiin väleihin.';
$string['insertstarsyes'] = 'Lisää tähdet ilmeisiin tuloihin.';
$string['inversetrig'] = 'Trigonometriset käänteisfunktiot';
$string['inversetrig_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Options.md#inverse_trig';
$string['irred_Q_commonint'] = 'Lausekkeesta pitäisi ottaa yhteinen tekijä kertoimeksi.';
$string['irred_Q_factored'] = 'Termi {$a->m0} pitäisi olla tekijöihin jakamattomassa muodossa mutta se ei ole.';
$string['irred_Q_optional_fac'] = 'Lausekkeen {$a->m0} voi vielä jakaa tekijöihin. Voit halutessasi jatkaa työskentelyä.';
$string['logicsymbol'] = 'Loogiset symbolit';
$string['logicsymbol_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Options.md#logicsymbol';
$string['logicsymbollang'] = 'Sanallinen';
$string['logicsymbolsymbol'] = 'Symbolinen';
$string['matrixparens'] = 'Matriisien sulkujen oletusmuoto';
$string['matrixparens_help'] = 'Määrää sen, mikä on matriisien sulkujen oletusmuoto CAS-tulostuksessa.';
$string['matrixparens_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/CAS/Matrix.md#matrixparens';
$string['multcross'] = 'Risti';
$string['multdot'] = 'Piste';
$string['multiplicationsign'] = 'Kertomerkki';
$string['multiplicationsign_help'] = 'Asettaa kertomerkin esitystavan.';
$string['multiplicationsign_link'] = 'question/type/stack/doc/doc.php/Authoring/Options.md#multiplication';
$string['multonlynumbers'] = 'Vain numeroiden välissä';
$string['mustverify'] = 'Esikatselu';
$string['mustverify_help'] = 'Näytetäänkö opiskelijan vastaus esikatselussa ennen arviointia.';
$string['mustverify_link'] = 'question/type/stack/doc/doc.php/Authoring/Inputs.md#Student_must_verify';
$string['namealreadyused'] = 'Tämä nimi on jo käytössä.';
$string['newnameforx'] = 'Uusi nimi \'{$a}\\ :lle';
$string['next'] = 'Seuraava';
$string['nextcannotbeself'] = 'Solmua ei voi liittää itseensä.';
$string['nodehelp'] = 'Vastauspuun solmu';
$string['nodeloopdetected'] = 'Tämä liitos muodostaa renkaan tässä vastauspuussa.';
$string['nodenotused'] = 'Yksikään toinen solmu ei liity tähän solmuun.';
$string['nodex'] = 'Solmu {$a}';
$string['nodexdelete'] = 'Poista solmu {$a}';
$string['nodexfalsefeedback'] = 'Solmun {$a} palaute, jos vastaus on väärin';
$string['nodextruefeedback'] = 'Solmun {$a} palaute, jos vastaus on oikein';
$string['nodexwhenfalse'] = 'Solmu {$a}, jos vastaus on väärin';
$string['nodexwhentrue'] = 'Solmu {$a}, jos vastaus on oikein';
$string['nonempty'] = 'Ei saa olla tyhjä.';
$string['noprtsifnoinputs'] = 'Kysymyksessä, jossa ei ole vastauskenttiä, ei voi olla vastauspuita.';
$string['notanswered'] = 'Ei vastattu';
$string['notavalidname'] = 'Epäkelpo nimi';
$string['notestcasesyet'] = 'Testitapauksia ei ole vielä lisätty.';
$string['numericalinputdp'] = 'Vastauksessasi pitää olla täsmälleen \\( {$a} \\) desimaalia.';
$string['numericalinputmaxdp'] = 'Vastauksessasi saa olla enintään \\( {$a} \\) desimaalia.';
$string['numericalinputmaxsf'] = 'Vastauksessasi saa olla enintään \\( {$a} \\) merkitsevää numeroa.';
$string['numericalinputmindp'] = 'Vastauksessasi pitää olla vähintään \\( {$a} \\) desimaalia.';
$string['numericalinputminsf'] = 'Vastauksessasi pitää olla vähintään \\( {$a} \\) merkitsevää numeroa.';
$string['numericalinputmustfloat'] = 'Vastauksen tulee olla desimaaliluku.';
$string['numericalinputmustint'] = 'Vastauksen tulee olla kokonaisluku.';
$string['numericalinputmustnumber'] = 'Vastauksessa pitäisi olla luku.';
$string['numericalinputmustrational'] = 'Vastauksen tulee olla murtoluku.';
$string['numericalinputsf'] = 'Vastauksessasi pitää olla täsmälleen \\( {$a} \\) merkitsevää numeroa.';
$string['numericalinputvarsforbidden'] = 'Vastauksen tulee olla lukuarvo. Se ei saa sisältää muuttujia.';
$string['options'] = 'Lisämääritykset';
$string['optionsnotrequired'] = 'Tämä syötetyyppi ei tarvitse lisämäärityksiä.';
$string['overallresult'] = 'Kokonaistulos';
$string['penalty'] = 'Rangaistus';
$string['penalty_help'] = 'Tämä arvo vähennetään kokonaispisteistä jokaisen väärän yrityskerran jälkeen.';
$string['penalty_link'] = 'question/type/stack/doc/doc.php/Authoring/Feedback.md';
$string['penaltyerror'] = 'Rangaistuksen pitää olla välillä 0-1 tai muuttuja (jota ei tarkisteta).';
$string['penaltyerror2'] = 'Rangaistuksen pitää olla tyhjä tai 0:n ja 1:n välillä oleva lukuarvo.';
$string['phpcasstring'] = 'PHP output';
$string['phpsuitecolerror'] = 'PHP errors';
$string['phpvalid'] = 'V1';
$string['phpvalidatemismatch'] = '[PHP validate mismatch]';
$string['pleaseananswerallparts'] = 'Ole hyvä ja vastaa kaikkiin kysymyksen osiin.';
$string['pleasecheckyourinputs'] = 'Varmista, että syötteesi on tulkittu oikein.';
$string['pluginname'] = 'STACK';
$string['pluginname_help'] = 'Kysymystyyppi STACK on matematiikan tehtävien arviointijärjestelmä.';
$string['pluginnameadding'] = 'Lisätään STACK tehtävä';
$string['pluginnameediting'] = 'Muokataan STACK tehtävää';
$string['pluginnamesummary'] = 'STACK tarjoaa matemaattisia tehtäviä Moodlen tentteihin.  Ne käyttävät symbolisen laskennan ohjelmistoa opiskelijoiden vastauksien tarkistuksessa.';
$string['prtcorrectfeedback'] = 'Yleinen palaute oikean vastauksen jälkeen';
$string['prtheading'] = 'Vastauspuu: {$a}';
$string['prtincorrectfeedback'] = 'Yleinen palaute väärän vastauksen jälkeen';
$string['prtmustbesetup'] = 'Vastauspuun nimi tulee antaa ennen kuin tallentaminen on mahdollista.';
$string['prtname'] = 'Vastauspuun nimi';
$string['prtnodesheading'] = 'Vastauspuun solmut ({$a})';
$string['prtpartiallycorrectfeedback'] = 'Yleinen palaute osittain oikean vastauksen jälkeen';
$string['prtremovedconfirm'] = 'Vahvistan, että haluan poistaa tämän vastauspuun kysymyksestä.';
$string['prtremovedconfirmbelow'] = 'Vastauspuu \'{$a}\' on poistettu kysymyksestä. Vahvista tämä vielä alapuolella.';
$string['prts'] = 'Vastauspuut';
$string['prtwillbecomeactivewhen'] = 'Tämä vastauspuu käsitellään, jos opiskelija vastannut kenttään {$a}';
$string['prtwillberemoved'] = 'Tähän vastauspuuhun ei enää viitata kysymystekstissä tai palautteissa. Jos tallennat kysymyksen nyt, menetät kaikki tähän kysymyspuuhun liittyvät tiedot. Vahvista, että haluat toimia näin. Muussa tapauksessa lisää viittaus tähän vastauspuuhun joko kysymystekstiin tai erityiseen palautteeseen asettamalla sinne \'[[feedback:{$a}]]\' -tunniste.';
$string['qm_error'] = 'Vastauksessasi on kysymysmerkkejä. Korvaa ne arvoilla.';
$string['questiondescription'] = 'Kysymyksen kuvaus';
$string['questiondescription_help'] = 'Kysymyksen kuvaus -kentässä voi kommentoida kysymystä ja tehdä muistiinpanoja. Kentän sisältö ei näy opiskelijoille.';
$string['questiondoesnotuserandomisation'] = 'Tässä tehtävässä ei ole satunnaisuutta.';
$string['questionnotdeployedyet'] = 'Tälle tehtävälle ei ole vielä luotu versioita.';
$string['questionnote'] = 'Tehtävän erotteluteksti';
$string['questionnote_help'] = 'Kysymyksen erottelutekstin tarkoituksena on erotella kysymyksen satunnaistetut variantit toisistaan. Järjestelmä katsoo kysymyksen kaksi varianttia samaksi jos ja vain jos niiden erottelutekstit ovat samat. Satunnaistettujen kysymysten erottelutekstiin pitää laittaa kysymyksen muuttujia.';
$string['questionnote_link'] = 'question/type/stack/doc/doc.php/Authoring/Question_note.md';
$string['questionnote_missing'] = 'Tehtävän erotteluteksti on tyhjä. Ole hyvä ja lisää järkevä erotteluteksti.';
$string['questionnotempty'] = 'Tehtävän erotteluteksti ei saa olla tyhjä, jos tehtävässä käytetään satunnaistettuja muuttujia. Järjestelmä käyttää erottelutekstiä erottamaan tehtävän eri versiot toisistaan.';
$string['questionpreview'] = 'Tehtävän esikatselu';
$string['questionsimplify'] = 'Tehtäväkohtainen sievennys';
$string['questionsimplify_help'] = 'Asettaa Maximan "simp"-muuttujan arvon tämän tehtävän käsittelyssä.';
$string['questionsimplify_link'] = 'question/type/stack/doc/doc.php/CAS/Maxima.md#Simplification';
$string['questiontestempty'] = 'Testi ei saa olla tyhjä!';
$string['questiontests'] = 'Kysymyksen testitapaukset';
$string['questiontestsdefault'] = '(Oletus)';
$string['questiontestsfor'] = 'Kysymystestit siemenelle {$a}';
$string['questiontestspass'] = 'Kaikki testit läpäisty!';
$string['questiontext'] = 'Kysymysteksti';
$string['questiontext_help'] = 'Teksti, jonka opiskelija saa tehtävänantona. Tämän kentän tulee sisältää myös syötekenttiä ja syötteen tarkistuksen käsittelyelementtejä. Esimerkiksi: [[input:ans1]] [[validation:ans1]].';
$string['questiontext_link'] = 'question/type/stack/doc/doc.php/Authoring/CASText.md#question_text';
$string['questiontextfeedbacklanguageproblems'] = 'Eri kieliversioiden palautteet eivät ole yhdenmukaisia.';
$string['questiontextfeedbackonlycontain'] = 'Kysymysteksti yhdistettynä tiettyyn arvioinnin jälkeiseen palautteeseen saa sisältää merkkijonon \'{$a}\' vain kertaalleen.';
$string['questiontextlanguages'] = 'Kysymyksestäsi löytyi kielet: {$a}';
$string['questiontextmustcontain'] = 'Kysymystekstissä ei saa käyttää merkkijonoja \'{$a}\'.';
$string['questiontextnonempty'] = 'Kysymysteksti ei saa olla tyhjä.';
$string['questiontextonlycontain'] = 'Kysymystekstissä on liian monta kopiota merkkijonosta \'{$a}\'.  Näitä saa käyttää vain kerran.';
$string['questionvalue'] = 'Kysymyksen arvo';
$string['questionvaluepostive'] = 'Kysymyksen arvo ei saa olla negatiivinen.';
$string['questionvariables'] = 'Tehtävän muuttujat';
$string['questionvariables_help'] = 'Tähän kenttään määritetään tehtävässä käytetyt muuttujat.  Niihin voidaan viitata muista tehtävän osista.';
$string['questionvariables_link'] = 'question/type/stack/doc/doc.php/Authoring/KeyVals.md';
$string['questionvariablevalues'] = 'Tehtävän muuttujien arvot';
$string['questionwarnings'] = 'Kysymyksen varoitukset';
$string['quiet'] = 'Hiljainen';
$string['quiet_help'] = 'Jos kyllä, mitään tehtävän tarkistustyypin antamaa palautetta ei näytetä opiskelijalle. Tämä ei vaikuta vastauspuun solmujen palautteeseen.';
$string['requiredfield'] = 'Tämä kenttä tarvitaan!';
$string['requirelowestterms'] = 'Vaaditaanko supistettu muoto';
$string['requirelowestterms_help'] = 'Jos kyllä, opiskelijan syöttämät murtoluvut vaaditaan supistetussa muodossa.';
$string['requirelowestterms_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Require_lowest_terms';
$string['runquestiontests'] = 'Kysymyksen testauksen hallinta';
$string['runquestiontests_alert'] = 'Kysymykselle ei ole luotu versioita tai testitapauksia.';
$string['runquestiontests_autoprompt'] = 'Lisää testitapaus käyttäen opettajan mallivastauksia.';
$string['runquestiontests_help'] = 'Testauksen hallinnan kautta voidaan suorittaa kysymykselle asetetut testitapaukset luoduille varianteille. Testaamisen avulla voidaan varmistaa se, että opiskelijoiden näkemät kysymykset toimivat oikein ja luotettavasti, sillä opiskelijan saama kysymys arvotaan luoduista variateista. Testauksen hallinnan sisältää myös muita työkaluja kysymyksen tarkasteluun ja analysointiin.';
$string['sans'] = 'SAns';
$string['sans_help'] = 'Opiskelijan vastaus. Tyypillisesti vastauskentän tunnus mutta olla myös lauseke, joka riippuu tehtävän ja/tai palautteen muuttujista.';
$string['sans_link'] = 'question/type/stack/doc/doc.php/Authoring/Answer_tests.md';
$string['sansrequired'] = 'SAns ei saa olla tyhjä.';
$string['score'] = 'Pisteet';
$string['scoreerror'] = 'Pisteiden arvon pitää olla luku väliltä 0-1.';
$string['scoremode'] = 'Mod';
$string['seedx'] = 'Siemen {$a}';
$string['seethisquestioninthequestionbank'] = 'Katso tätä kysymystä kysymyspankissa';
$string['sendgeneralfeedback'] = '<i class="fa fa-file-text"></i> Testaa yhteys CAS-palvelimelle';
$string['settingcasdebugging'] = 'CAS virheenjäljitys';
$string['settingcasdebugging_desc'] = 'Tarkistetaanko virheenjäljitystietoja CAS yhteydestä.';
$string['settingcasmaximaversion'] = 'Maximan versio';
$string['settingcasmaximaversion_desc'] = 'Käytössä olevan Maximan versio.';
$string['settingcasresultscache'] = 'CAS tulosten välimuistiin tallennus';
$string['settingcasresultscache_db'] = 'Välimuisti tietokannassa';
$string['settingcasresultscache_desc'] = 'Tallennetaanko CAS kutsut välimuistiin? Tämän on syytä olla päällä, muutoin kuin ohjelmistokehitystilanteissa. Välimuistin tila näkyy kuntotarkistus-sivulla. Välimuisti pitää tyhjentää jos CAS tai gnuplot asetukset muuttuvat.';
$string['settingcasresultscache_none'] = 'Älä tallenna välimuistiin';
$string['settingcastimeout'] = 'CAS yhteyden aikaraja';
$string['settingcastimeout_desc'] = 'Kauanko aikaa sallitaan yhden CAS kutsun käsittelyyn.';
$string['settingdefaultinputoptions'] = 'Syötteiden oletusmääritykset';
$string['settingdefaultquestionoptions'] = 'Syötteiden oletusvalinnat';
$string['settingmaximalibraries'] = 'Lataa valinnaisia Maxima-kirjastoja:';
$string['settingplatformmaximacommand'] = 'Maxima-komento';
$string['settingplatformmaximacommand_desc'] = 'STACK tarvitsee tiedon millä komennolla Maxima käynnistyy.  Jos tyhjä, STACK tekee valistuneen arvauksen.';
$string['settingplatformplotcommand'] = 'Piirtokomento';
$string['settingplatformplotcommand_desc'] = 'Stack tarvitsee tiedon millä komennolla gnuplot käynnistyy.  Jos tyhjä, Stack tekee valistuneen arvauksen.';
$string['settingplatformtype'] = 'Järjestelmän tyyppi';
$string['settingplatformtype_desc'] = 'Stack tarvitsee tiedon mikä ympäristön käyttöjärjestelmä on.';
$string['settingplatformtypeserver'] = 'Palvelin';
$string['settingplatformtypewin'] = 'Windows';
$string['showingundeployedvariant'] = 'Näytetään ei-tallennettu versio: {$a}';
$string['showvalidation'] = 'Näytä validointi';
$string['showvalidation_help'] = 'Jos kyllä, kaikki validointiin liittyvä palaute näytetään mukaan lukien lausekkeiden kaksiulotteiset esitykset.';
$string['showvalidation_link'] = 'Näytä validointi';
$string['showvalidationcompact'] = 'Kyllä, tiivis';
$string['showvalidationno'] = 'Ei';
$string['showvalidationyes'] = 'Kyllä, muuttujalistan kanssa';
$string['showvalidationyesnovars'] = 'Kyllä, ilman muuttujalistaa';
$string['singlechargotmorethanone'] = 'Voit syöttää vain yksittäisen merkin tähän.';
$string['specificfeedback'] = 'Palaute';
$string['specificfeedback_help'] = 'Jokaisen vastauspuun palaute näytetään tässä osiossa.';
$string['sqrtsign'] = 'Juurien esitystapa';
$string['sqrtsign_help'] = 'Esitetäänkö juurilausekkeet juurina.';
$string['sqrtsign_link'] = 'question/type/stack/doc/doc.php/Authoring/Options.md#surd';
$string['stackCas_CASError'] = 'Maxima palautti seuraavat virheilmoitukset:';
$string['stackCas_CASErrorCaused'] = 'aiheutti seuraavan virheen:';
$string['stackCas_MissingAt'] = '@-merkki puuttuu.';
$string['stackCas_MissingCloseDisplay'] = '<code>\\]</code>-merkki puuttuu.';
$string['stackCas_MissingCloseHTML'] = 'Lopettava html-tagi puuttuu';
$string['stackCas_MissingCloseInline'] = '<code>\\)</code>-merkki puuttuu';
$string['stackCas_MissingClosingRawCAS'] = '<code>#}</code> puuttuu.';
$string['stackCas_MissingClosingTeXCAS'] = '<code>@}</code> puuttuu.';
$string['stackCas_MissingDollar'] = '$-merkki puuttuu';
$string['stackCas_MissingOpenDisplay'] = '<code>\\[</code>-merkki puuttuu.';
$string['stackCas_MissingOpenHTML'] = 'Aloittava html-tagi puuttuu';
$string['stackCas_MissingOpenInline'] = '<code>\\(</code>-merkki puuttuu.';
$string['stackCas_MissingOpenRawCAS'] = '<code>{#</code> puuttuu.';
$string['stackCas_MissingOpenTeXCAS'] = '<code>{@</code> puuttuu.';
$string['stackCas_MissingStars'] = '*-merkkejä puuttuu. Tarkoititko: {$a->cmd}?';
$string['stackCas_MissingString'] = 'Heittomerkki <code>"</code> puuttuu.';
$string['stackCas_allFailed'] = 'Maxima ei onnistunut komentojen suorittamisessa. Tarkista Maxima-yhteys.';
$string['stackCas_apostrophe'] = 'Heittomerkkejä ei sallita vastauksessa.';
$string['stackCas_backward_inequalities'] = 'Epäyhtälömerkit esim. \\( \\leq \\) or \\( \\geq \\) täytyy syöttää muodossa <= tai >=. Syötteesi oli {$a->cmd}, missä merkit ovat väärässä järjestyksessä.';
$string['stackCas_failedReturn'] = 'Maxima ei palauttanut vastauksia.';
$string['stackCas_failedValidation'] = 'CASText ei kelpaa.';
$string['stackCas_finalChar'] = 'Merkkiä "{$a->char}" ei voi käyttää tai se ei toimi lausekkeessa {$a->cmd}.';
$string['stackCas_forbiddenChar'] = 'Maxima komennossa ei sallita seuraavia merkkejä: {$a->char}.';
$string['stackCas_forbiddenVariable'] = 'Muuttuja tai vakio {$a->forbid} on kielletty.';
$string['stackCas_forbiddenWord'] = 'Lauseke {$a->forbid} on kielletty.';
$string['stackCas_invalidCommand'] = 'CAS komennot eivät kelpaa.';
$string['stackCas_missingLeftBracket'] = 'Vasen sulku <span class="stacksyntaxexample">{$a->bracket}</span> puuttuu lausekkeesta {$a->cmd}.';
$string['stackCas_missingRightBracket'] = 'Oikea sulje <span class="stacksyntaxexample">{$a->bracket}</span> puuttuu lausekkeesta {$a->cmd}.';
$string['stackCas_newline'] = 'Rivinvaihtoja ei sallita vastauksessa.';
$string['stackCas_percent'] = 'Lauseke {$a->expr} ei saa sisältää merkkiä &#037;.';
$string['stackCas_spaces'] = 'Lauseke {$a->expr} ei saa sisältää välilyöntejä.';
$string['stackCas_unencpsulated_comma'] = 'Pilkku esiintyy lausekkeessasi virheellisellä tavalla. Desimaalierottimena käytetään pistettä ja pilkulla erotetaan joukkojen yms. jäseniä.';
$string['stackCas_unitssynonym'] = 'Käytät yksikköä {$a->forbid}. Tarkoititko {$a->unit}?';
$string['stackCas_unknownFunction'] = 'Tuntematon funktio: {$a->forbid}.';
$string['stackCas_unknownFunctionCase'] = 'Syöte riippuu kirjainkoosta: {$a->forbid} on tuntematon funktio. Tarkoititko jotain seuraavista: {$a->lower}?';
$string['stackCas_unknownUnitsCase'] = 'Yksiköt riippuvat kirjainkoosta: {$a->forbid} on tuntematon yksikkö. Tarkoititko jotain seuraavista: {$a->unit}?';
$string['stackCas_unsupportedKeyword'] = 'Tätä avainsanaa ei sallita: {$a->forbid}.';
$string['stackDoc_404'] = 'Error 404';
$string['stackDoc_404message'] = 'Tiedostoa ei löytynyt.';
$string['stackDoc_directoryStructure'] = 'Hakemistorakenne';
$string['stackDoc_docs'] = 'STACK Dokumentaatio';
$string['stackDoc_docs_desc'] = '<a href="{$a->link}">STACK Dokumentaatio</a>: paikallinen staattinen wiki.';
$string['stackDoc_home'] = 'Dokumentaation juuri';
$string['stackDoc_index'] = 'Kategoriahakemisto';
$string['stackDoc_siteMap'] = 'Sivukartta';
$string['stackInstall_input_intro'] = 'This page allows you to test how STACK interprets various inputs from a student.  This currently only checks with the most liberal settings, trying to adopt an informal syntax and insert stars.  <br />V columns record validity as judged by PHP and the CAS.  V1 = PHP valid, V2 = CAS valid.';
$string['stackInstall_input_title'] = 'A test suite for validation of student\'s input';
$string['stackInstall_input_title_desc'] = 'The <a href="{$a->link}">input-tests script</a> provides test cases of how STACK interprests mathematical expressions.  They are also useful to learn by example.';
$string['stackInstall_testsuite_choose'] = 'Please choose an answer test.';
$string['stackInstall_testsuite_fail'] = 'Not all tests passed!';
$string['stackInstall_testsuite_intro'] = 'This page allows you to test that the STACK answer tests are functioning correctly.  Note that only answer tests can be checked through the web interface.  Other Maxima commands need to be checked from the command line: see unittests.mac.';
$string['stackInstall_testsuite_pass'] = 'All tests passed!';
$string['stackInstall_testsuite_title'] = 'A test suite for STACK Answer tests';
$string['stackInstall_testsuite_title_desc'] = 'The <a href="{$a->link}">answer-tests script</a> verifies that the answer tests are performing correctly. They are also useful to learn by example how each answer-test can be used.';
$string['stackOptions_AnsTest_values_AlgEquiv'] = 'AlgEquiv';
$string['stackOptions_AnsTest_values_CasEqual'] = 'CasEqual';
$string['stackOptions_AnsTest_values_CompSquare'] = 'CompletedSquare';
$string['stackOptions_AnsTest_values_Diff'] = 'Diff';
$string['stackOptions_AnsTest_values_EqualComAss'] = 'EqualComAss';
$string['stackOptions_AnsTest_values_Expanded'] = 'Expanded';
$string['stackOptions_AnsTest_values_FacForm'] = 'FacForm';
$string['stackOptions_AnsTest_values_GT'] = 'Num-GT';
$string['stackOptions_AnsTest_values_GTE'] = 'Num-GTE';
$string['stackOptions_AnsTest_values_Int'] = 'Int';
$string['stackOptions_AnsTest_values_LowestTerms'] = 'LowestTerms';
$string['stackOptions_AnsTest_values_NumAbsolute'] = 'NumAbsolute';
$string['stackOptions_AnsTest_values_NumRelative'] = 'NumRelative';
$string['stackOptions_AnsTest_values_NumSigFigs'] = 'NumSigFigs';
$string['stackOptions_AnsTest_values_PartFrac'] = 'PartFrac';
$string['stackOptions_AnsTest_values_SameType'] = 'SameType';
$string['stackOptions_AnsTest_values_SingleFrac'] = 'SingleFrac';
$string['stackOptions_AnsTest_values_String'] = 'String';
$string['stackOptions_AnsTest_values_StringSloppy'] = 'StringSloppy';
$string['stackOptions_AnsTest_values_SubstEquiv'] = 'SubstEquiv';
$string['stackOptions_AnsTest_values_SysEquiv'] = 'SysEquiv';
$string['stackQuestion_noQuestionParts'] = 'Tässä tehtävässä ei ole osia, joihin voidaan vastata.';
$string['stackversionedited'] = 'Tämä kysymys on luotu STACK-versiolla {$a}.';
$string['stackversionnow'] = 'Käytät STACK-versiota {$a}.';
$string['stop'] = '[stop]';
$string['strictsyntax'] = 'Maxima-syntaksi';
$string['strictsyntax_help'] = 'Pitääkö syötteen olla Maxima-syntaksin mukaista?';
$string['strictsyntax_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Strict_Syntax';
$string['strlengtherror'] = 'Merkkijono voi olla korkeintaan 255 merkiä pitkä.';
$string['studentValidation_invalidAnswer'] = 'Tämä vastaus ei kelpaa.';
$string['studentValidation_listofunits'] = 'Vastauksestasi löytyi yksiköt: {$a}';
$string['studentValidation_listofvariables'] = 'Vastauksestasi löytyi muuttujat: {$a}';
$string['studentValidation_yourLastAnswer'] = 'Vastauksesi tulkittiin muodossa: {$a}';
$string['studentanswer'] = 'Student response';
$string['switchtovariant'] = 'Siirry satunnaiseen versioon';
$string['syntaxattribute'] = 'Syntaksivihjeen tyyppi';
$string['syntaxattribute_help'] = 'Syntaksivihje voi esiintyä muokattavana arvona tai tekstinä, joka katoaa syötettäessä kenttään vastaus.';
$string['syntaxattribute_link'] = '%%WWWROOT%%/question/type/stack/doc/doc.php/Authoring/Inputs.md#Syntax_Hint';
$string['syntaxattributeplaceholder'] = 'Katoava teksti';
$string['syntaxattributevalue'] = 'Muokattava arvo';
$string['syntaxhint'] = 'Syntaksivihje';
$string['syntaxhint_help'] = 'Syntaksivihje tulee valmiiksi vastauksen syöttökenttään.';
$string['syntaxhint_link'] = '/question/type/stack/doc/doc.php/Authoring/Inputs.md#Syntax_Hint';
$string['tans'] = 'TAns';
$string['tans_help'] = 'Opettajan antama vastaus.  Voi olla myös muu lauseke, joka sisältää tehtävän tai palautteen muuttujia.';
$string['tans_link'] = 'question/type/stack/doc/doc.php/Authoring/Answer_tests.md';
$string['tansrequired'] = 'TAns ei saa olla tyhjä.';
$string['teacheranswer'] = 'Opettajan vastaus';
$string['teacheranswercase'] = 'Käytä opettajan mallivastausta testitapauksena';
$string['teacheranswershow'] = 'Oikea vastaus on \\( {$a->display} \\), joka voidaan syöttää muodossa {$a->value}.';
$string['teacheranswershow_disp'] = 'Oikea vastaus on {$a->display} .';
$string['teacheranswershow_mcq'] = 'Oikea vastaus on: {$a->display}';
$string['teachersanswer'] = 'Mallivastaus';
$string['teachersanswer_help'] = 'Jokaiselle syötteelle pitää asettaa mallivastaus.  Se voi sisältää tehtävän muuttujia.';
$string['teachersanswer_link'] = 'question/type/stack/doc/doc.php/Authoring/Inputs.md#model_answer';
$string['testcasexresult'] = 'Testitapaus {$a->no} {$a->result}';
$string['testingquestion'] = 'Testataan tehtävää {$a}';
$string['testingquestionvariants'] = 'Valmistellaan versioita';
$string['testinputs'] = 'Testin syötteet';
$string['testinputsimpwarning'] = 'Huomioi, että testin syötteet ovat aina <em>sieventämättömiä</em> huolimatta kysymyksen asetuksista. Käytä <tt>ev(...,simp)</tt> komentoa sieventääksesi testin syötteitä.';
$string['testoptions'] = 'Testin lisävalinnat';
$string['testoptions_help'] = 'Joidenkin tarkistustestien tarvitsemia parametreja, kuten muuttujia voidaan syöttää tähän kenttään.';
$string['testoptions_link'] = 'question/type/stack/doc/doc.php/Authoring/Answer_tests.md';
$string['testoptionsrequired'] = 'Tämä tarkistustesti vaatii lisäparametreja.';
$string['testsuitecolerror'] = 'CAS errors';
$string['testsuitecolpassed'] = 'Hyväksytty?';
$string['testsuitefail'] = '<span style="color:red;"><i class="fa fa-times"></i></span>';
$string['testsuitefeedback'] = 'Palaute';
$string['testsuitepass'] = '<span style="color:green;"><i class="fa fa-check"></i></span>';
$string['testthisvariant'] = 'Testaa tätä versiota';
$string['tidyquestion'] = '<i class="fa fa-sort-amount-asc"></i> Siisti kysymys';
$string['trig_degrees_radians_name'] = 'Asteet ja radiaanit';
$string['true'] = 'Tosi';
$string['undeploy'] = 'Poista versio';
$string['variant'] = 'Versio';
$string['variantsselectionseed'] = 'Tehtäväryhmä';
$string['variantsselectionseed_help'] = 'Normaalisti tämä kenttä on tyhjä. Jos halutaan, että kaksi eri tentin kysymystä käyttää samaa satunnaislukugeneraattorin siementä, tähän kenttään kirjoitetaan sama merkkijono molemmille tehtäville.';
$string['verifyquestionandupdate'] = 'Tarkista kysymysteksti ja päivitä lomake.';
$string['version'] = 'Versio';
$string['youmustconfirm'] = 'Vahvista tässä.';
